<?php

define('RENDER_MODE', 'catalyz');

$node = $page->getNode();

use_helper('Form');

$properties = array();
$properties['page'] = $page;
$properties['node'] = $node;
$properties['ContentTree'] = $ContentTree;

ob_start();
use_helper('I18N');

$allLanguages = sfConfig::get('app_translations_available_languages');
$default = sfConfig::get('app_translations_default_language');
// $existing_languages = $node->getAvailableTranslations();
$allLanguages = Catalyz::getAllTranslations();
unset($allLanguages[$default]);
// $perms = array();
// $available_languages = array();
// foreach($allLanguages as $iso => $name) {
// if (!isset($existing_languages[$iso])) {
// $available_languages[$iso] = ucfirst($name);
// }
// $perms[$iso]['edit'] = true;
// $perms[$iso]['delete'] = ($iso != $default);
// }
// include_partial('catalyz/header');

?>

<div class="content-add03">
	<?php include_partial('katao/products', array('pager' => KataoProductPeer::getPagerForAllBySupplierUrlIdentifier($katao_supplier->getUrlIdentifier(), $sf_request->getParameter('page', 1)), 'url' => '@katao_fournisseurs_produits?supplier=' . $katao_supplier->getUrlIdentifier(), 'katao_product_category' => '', 'katao_product_family' => '')) ?>
</div>

<?php

$content = ob_get_contents();

ob_end_clean();
// $layout = LayoutManager::instance()->getCatalyzTemplate($ContentTreeNode->getCurrentLayoutNameForAction());
$properties['layout_family'] = 'katao';
$properties['layout_name'] = 'default';
$properties['content'] = $content;

include_component($properties['layout_family'], $properties['layout_name'], $properties);

?>